image: "$CI_REGISTRY/gauvin.thibaut83/symfony4_skeleton:ci"

stages:
  - test

cache:
  key: "${CI_COMMIT_REF_SLUG}"
  paths:
    - vendor

services:
  - postgres:11

variables:
  POSTGRES_DB: symfony4_skeleton
  POSTGRES_USER: devops
  POSTGRES_PASSWORD: devops

before_script:
  - cp .env.ci .env
  - source .env
  - composer install --no-interaction

#=======================
# TESTS
#=======================
test:
  stage: test
  script:
    - composer fixtures
    - composer lint
    - composer phpmetrics-report
    - composer test-report
  artifacts:
    when: always
    expire_in: 1 week
    paths:
      - tests/reports
      - var/log
